import { AsyncDirective } from "lit/async-directive.js";
import { ITranslateConfig, LangChangedSubscription, Translation, Values, ValuesCallback } from "../model";
/**
 * A lit directive that updates the translation when the language changes.
 */
export declare class TranslateDirective extends AsyncDirective {
    protected langChangedSubscription: LangChangedSubscription | null;
    protected getTranslation: (() => Translation);
    render(key: string, values?: Values | ValuesCallback, config?: ITranslateConfig): unknown;
    updateTranslation(): void;
    subscribe(): void;
    unsubscribe(): void;
    disconnected(): void;
    reconnected(): void;
}
export declare const translate: (key: string, values?: Values | ValuesCallback | undefined, config?: ITranslateConfig | undefined) => import("lit-html/directive").DirectiveResult<typeof TranslateDirective>;
